%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
%global oname jboss-jaxrs-api_2.0_spec

Name:          jboss-jaxrs-2.0-api
Version:       1.0.0
Release:       %mkrel 8
Epoch:         1
Group:         Development/Java
Summary:       JAX-RS 2.0: The Java API for RESTful Web Services
# ASL 2.0 src/main/java/javax/ws/rs/core/GenericEntity.java
License:       (CDDL or GPLv2 with exceptions) and ASL 2.0
URL:           https://github.com/jboss/jboss-jaxrs-api_spec
Source0:       https://github.com/jboss/jboss-jaxrs-api_spec/archive/%{oname}-%{namedversion}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)
BuildRequires: mvn(javax.xml.bind:jaxb-api)

BuildArch:     noarch

%description
JSR 339: JAX-RS 2.0: The Java API for RESTful Web Services.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jboss-jaxrs-api_spec-%{oname}-%{namedversion}

# Unneeded plugin
%pom_remove_plugin :maven-source-plugin

# Fix JDK11 build, add missing javax.xml.bind
%pom_add_dep javax.xml.bind:jaxb-api

%mvn_file :%{oname} %{name}

# remove after upgrading narayana
%mvn_alias ":jboss-jaxrs-api_2.0_spec" "org.jboss.resteasy:jaxrs-api"

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1:1.0.0-8.mga9
+ Revision: 1827593
- Mageia 9 Mass Rebuild

* Thu Sep 10 2020 daviddavid <daviddavid> 1:1.0.0-7.mga8
+ Revision: 1624180
- Fix JDK11 build by adding dependency for javax.xml.bind
- Rebuilt for JDK-11

* Tue Feb 11 2020 umeabot <umeabot> 1:1.0.0-6.mga8
+ Revision: 1490926
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1:1.0.0-5.mga7
+ Revision: 1262694
- Mageia 7 Mass Rebuild

* Fri May 19 2017 neoclust <neoclust> 1:1.0.0-4.mga6
+ Revision: 1103264
- Revert to fedora version
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.1-2.mga6
+ Revision: 976486
- First rebuild of the java stack
- sync package jboss-jaxrs-2.0-api with fedora

